/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos;

public class FinishThread extends Thread
{
	
	//private int time = 15 * 1000; // 15 seconds
	private int time = 10 * 60 * 1000; // 10 minutes
	
	/**
	 * Constructor
	 * Finishes the CBOS program after 10 minutes of use.
	 */
	FinishThread(CBOS mainProgram) {
		try {
			this.sleep(time);
		} catch (InterruptedException ex) {
			System.out.println(ex);
		}
		mainProgram.finish();
	}
}
