/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.adt;

import java.util.Vector;

public class BillingDetailsADT implements java.io.Serializable	
{
	private String customerName;
	private AddressADT paymentAddress;
	private Vector orderList; // List of ShipmentOrderADTs
	
	public String getCustomerName() {
		return customerName;
	}
	
	public void setCustomerName(String value) {
		customerName = value;
	}
	
	public AddressADT getBillingAddress() {
		return paymentAddress;
	}
	
	public void setBillingAddress(AddressADT value) {
		paymentAddress = value;
	}
	
	public Vector getOrderList() {
		return orderList;
	}
	
	public void setOrderList(Vector value) {
		orderList = value;
	}
}
