/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */
package cbos.adt;

import java.util.Vector;

public class PurchaseOrderADT extends OrderADT implements java.io.Serializable	
{
	private boolean pickUpOption;      // true if the pickupaddress is necessary: TC3 will pick-up the coffee
	private AddressADT pickUpAddress;  // contains the address where coffee has to be got
	private String growerName;         // Allows us to get the billing address 
	
	public boolean getPickUpOption() {
		return pickUpOption;
	}
	
	public void setPickUpOption(boolean value) {
		pickUpOption = value;
	}

	public AddressADT getPickUpAddress() {
		return pickUpAddress;
	}
	
	public void setPickUpAddress(AddressADT value) {
		pickUpAddress = value;
	}
	
	public String getGrowerName() {
		return growerName;
	}
	
	public void setGrowerName(String name)
	{
       growerName = name;
	}
    
	
	
}
