/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */
package cbos.adt;

import java.util.Vector;

public class SalesOrderADT extends OrderADT implements java.io.Serializable	
{
	
	private boolean deliverOption;      // Indicates whether the TC3 will deliver or not the coffee
	private AddressADT deliverAddress;  // contains the address where coffee has to be got
	private String customerName;        // This information allows the queri for customer address
	
	public void setDeliverOption(boolean value) {
		deliverOption = value;
	}
	
	public boolean getDeliverOption() {
		return deliverOption;
	}
	
	public AddressADT getDeliverAddress() {
		return deliverAddress;
	}
	
	public void setDeliverAddress(AddressADT value) {
		deliverAddress = value;
	}
	
	public String getCustomerName() {
		return customerName;
	}
	
	public void setCustomerName(String value) {
		customerName = value;
	}
	
}
