/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.adt;

public class ShipmentADT implements java.io.Serializable	
{
	private int bags;
	private String kind;
	private QualityADT quality;
	private double price; // price specified in the order
	
	public void setBags( int value ) {
		bags = value;
	}
	
	public int getBags () {
		return bags;
	}
	
	public void setKind(String value) {
		kind = value;
	}
	
	public String getKind() {
		return kind;
	}
	
	public void setQuality( QualityADT value) {
		quality = value;
	}
	
	public QualityADT getQuality() {
		return quality;
	}
	
	public void setPrice(double value) {
		price = value;
	}
	
	public double getPrice() {
		return price;
	}
}
