/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.adt;


public class UserADT implements java.io.Serializable	
{
	private String name;
	private String login;
	private String password;
	private UserFunctionADT function; // manager, warehouse, attendant
	
	
	public String getName()
	{
		return name;
	}
	public void setName(String value)
	{
		name = value;
	}
	
	public void setLogin(String value)
	{
		login = value;
	}
	
	public String getLogin()
	{
		return login;
	}
	
	public void setPassword(String value)
	{
		password = value;
	}
	
	public String getPassword()
	{
		return password;
	}
	
	public void setFunction(UserFunctionADT value)
	{
		function = value;
	}
	
	public UserFunctionADT getFunction()
	{
		return function;
	}
	
	public String toString()
	{
		return( new String( "UserName:" + name + "Login" + login + "password" + password + "\n"));
	}//end of tostring
}
