/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */
package cbos.server;

import java.lang.Math.*;

public class DES implements java.io.Serializable {
	
	private int alfa = 0;
	private int beta = 0;
	private int gamma = 0;
	private int delta = 0;

	public DES (int v1, int v2, int v3, int v4) {
		alfa = v4;
		beta = v3;
		gamma = v2;
		delta = v1;
	}
	
	public int function(int x) {
		return (int) (alfa * x + beta * Math.pow(x,2) + gamma * Math.pow(x,3) + delta + 51 ) % 255 ;
	}

	public void setAlfa(int value) {
		alfa = value;
	}
	
	public void setBeta(int value) {
		alfa = value;
	}
	
	public void setGama(int value) {
		alfa = value;
	}
	
	public void setDelta(int value) {
		delta = value;
	}
}
