/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.server;
import cbos.adt.*;

import java.util.*;

public interface NormalSalesOrderInterface extends java.io.Serializable	
{
	public int getCurrentSalesOrderCounter();
	public Enumeration getOrderNumbers();
	public String addNormalSalesOrder(SalesOrderADT order);
	public boolean updateSalesOrder(ShipmentReceiveADT shipment, String  SONumber);
	public Vector getScheduledShipments(Date date);
	public ShipmentReceiveADT getCustomerDetails(String customerName);
	public void scheduleRepeatSalesOrder(SalesOrderADT repeatOrder); 
	public void reconfigure(CustomerInterface ci);
	// public static int getCurrentSalesOrderCounter();
	
}
