/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.server;

import java.util.Vector;
import cbos.adt.*;

public interface UserInterface extends java.io.Serializable	 
{
	public void addUser(String name, String login, UserFunctionADT function);
	public void removeUser(String login);
	public UserADT getUserDetails(String login);
	public Vector getUsersList();
	public void clearAll();
	public void addUser(UserADT user);
} 
