/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.adt;

public class AddressADT implements java.io.Serializable	
{
	private String street;
	private String city;
	private String state;
	private String zip;
	private String country;
	private String phoneNumber;
	
	
	public String toString() {
		return new String( 
					 street + 
			   " " + city +
			   " " + state +
			   " " + zip +
			   " " + country +
			   " " + phoneNumber);
	}
	
	public String getStreet() {
		return street;
	}
	
	public void setStreet(String value) {
		street = value;
	}
	
	public String getCity() {
		return city;
	}
	
	public void setCity(String value) {
		city = value;
	}
	
	public String getState() {
		return state;
	}
	
	public void setState( String value) {
		state = value;
	}
	
	public String getZip() {
		return zip;
	}
	
	public void setZip( String value) {
		zip = value;
	}
	
	public String getCountry() {
		return country;
	}
	
	public void setCountry( String value) {
		country = value;
	}
	
	public String getPhoneNumber() {
		return phoneNumber;
	}
	
	public void setPhoneNumber( String value) {
		phoneNumber = value;
	}
	
}
