/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.adt;

import java.util.*;

public class OrderADT implements java.io.Serializable	
{
	private String orderNumber;  // either the purchase or the sales order number
	private Vector shipmentOrderList; // List of ShipmentOrderADT
	private Vector shipmentReceiveList; // List of ShipmentReceiveADT
	private Date date; // date when the order is supposed to come to the godown
	
	public void setOrderNumber(String value) {
		orderNumber = value;
	}
	
	public String getOrderNumber() {
		return orderNumber;
	}
	
	public Vector getShipmentOrderList() {
		return shipmentOrderList;
	}
	
	public void setShipmentOrderList(Vector value) {
		shipmentOrderList = value;
	}
	
	public Vector getShipmentReceiveList() {
		return shipmentReceiveList;
	}
	
	public void setShipmentReceiveList(Vector value) {
		shipmentReceiveList = value;
	}
	
	public void setDate(Date expectedDeliveryDate) {
		date = expectedDeliveryDate;
	}
	
	public Date getDate() {
		return date;
	}
	
}
