/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.adt;

import java.util.Date;

public class RepeatSalesOrderADT extends PurchaseOrderADT implements java.io.Serializable	
{
	private Date beginDate;
	private Date endDate;
	private int interval; // interval in DAYS
	private String customerName;
	
	public void setBeginDate (Date value) {
		beginDate = value;
	}
	
	public Date getBeginDate() {
		return beginDate;
	}
	
	public void setEndDate(Date value) {
		endDate = value;
	}
	
	public Date getEndDate() {
		return endDate;
	}
	
	/**
	 * The interval must be provided in days.
	 * @param value interval in days
	 */
	public void setInterval(int value) {
		interval = value;
	}
	
	/**
	 * @return the number of days of the repeated order interval
	 */
	public int getInterval() {
		return interval;
	}
	
	public void setCustomerName(String s)
	{
		customerName = s;
	}
	
	public String getcustomerName()
	{
		return customerName;
	}
	
}


