/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.client;

import cbos.server.*;

import javax.swing.JPanel;

public class Client extends JPanel implements ClientInterface {
	
	ServerFactoryInterface serverFactory = null;
	private boolean print = false;
	
	public Client(ServerFactoryInterface value) {
		serverFactory = value;
	}
	
	public void setServerFactory(ServerFactoryInterface value) {
		if (print)
			System.out.println("Client: setting serverFactory to: "+value);
		serverFactory = value;
	}
	
	public ServerFactoryInterface getServerFactory() {
		
		if (print)
			System.out.println("Client: getting serverFactory: "+serverFactory);
		
		return serverFactory;
		
	}

	
}
