/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.server;
import cbos.adt.*;

import java.util.Vector;

public interface CustomerInterface extends cbos.server.ClientInterface, java.io.Serializable	
{
	public void addCustomerDetails(String customerName, AddressADT address);
	public void deleteCustomerDetails(String customerName);
	public  AddressADT getBillingAddress(String customerName);
	public void updateBillingAddress(String customerName, AddressADT a);
	public Vector getCustomersList();
	public void clearAll();
}
