/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.server;
import cbos.adt.AddressADT;
import java.util.Vector;
import cbos.adt.*;

public interface GrowerInterface extends cbos.server.ClientInterface, java.io.Serializable	
{
	public void  addGrowerDetails(ClientADT grower);
	public void removeGrower(String growerName);
	public AddressADT getPaymentAddress(String growerName);
	public void updatePaymentAddress(String growerName, AddressADT paymentAddress);
	public Vector getGrowersList();
	public void clearTable();
	public void print();
}
