/**
 * CBOS - Coffe Bean Ordering System
 * ICS52 - Software Engineering - University of California - Irvine
 * Fall 2000
 * 
 * @author Arvind Krishna
 * @author Roberto Silveira Silva Filho 
 * @version 1.0
 *
 */

package cbos.server;

import cbos.adt.*;
import cbos.exceptions.*;

import java.util.Date;
import java.util.Vector;

public interface InventoryInterface extends java.io.Serializable
{
	public void addInventory(String PONumber, int bags, String kind, QualityADT quality, Date date);
	public void removeInventory(String SOnumber, int bags, String kind, QualityADT quality, Date date) throws  InsuficientStockException;
	public Vector availabilityList();
}
